<!DOCTYPE html>
<html lang="en">

  <head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>Vetted - Login</title>

    <!-- Bootstrap core CSS-->
    <link href="../static/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">

    <!-- Custom fonts for this template-->
    <link href="../static/vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">

    <!-- Custom styles for this template-->
    <link href="../static/css/sb-admin.css" rel="stylesheet">

  </head>

  <body class="bg-dark">

    <div class="container">
      <div class="card card-login mx-auto mt-5">
        <div class="card-header">Login</div>
        <div class="card-body">
          <form>
            <div class="form-group">
              <div class="form-label-group">
                <input type="email" id="inputEmail" class="form-control" placeholder="Email address" required="required" autofocus="autofocus">
                <label for="inputEmail">Email address</label>
              </div>
            </div>
            <div class="form-group">
              <div class="form-label-group">
                <input type="password" id="inputPassword" class="form-control" placeholder="Password" required="required">
                <label for="inputPassword">Password</label>
              </div>
            </div>
            
            <a class="btn btn-primary btn-block" id="123_login">Login</a>
          </form>
          
        </div>
      </div>
    </div>

    <!-- Bootstrap core JavaScript-->
    <script src="../static/vendor/jquery/jquery.min.js"></script>
    <script src="../static/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>

    <!-- Core plugin JavaScript-->
    <script src="../static/vendor/jquery-easing/jquery.easing.min.js"></script>
    <script>
      $(document).on('click', '.btn', function(e){
          e.preventDefault();
          spt_string = this.id.split("_");
          var action = spt_string[1];
          var id = spt_string[0];
          if(action=="login" )
          {
            var company_id = sessionStorage.getItem('company_id');
            var email_url = 'http://{{API_SERVER}}:8091/api/v1/login';
            var data = {
              email : document.getElementById("inputEmail").value,
              password : document.getElementById("inputPassword").value
            }
            
            $.ajax({
                type: 'POST',
                url: email_url,
                data: JSON.stringify(data),
                processData: false,
                contentType:"application/json; charset=utf-8",
                success: LoginSucceeded,
                error: LoginFailed
            });
            
          }
    function LoginSucceeded(result,xhr) 
        {
          var data_array = [];
          var content_list = result;
          sessionStorage.setItem('email', content_list["email"]);   
          sessionStorage.setItem('token', 'Bearer '+ content_list["accessToken"]);
          sessionStorage.setItem('user_id', content_list["user_id"]);
          sessionStorage.setItem('status', content_list["is_active"]);
          sessionStorage.setItem('company_id', content_list["company_id"]);
          sessionStorage.setItem('role', content_list["role"]);
          sessionStorage.setItem('refreshToken', content_list["refreshToken"]);
          if(content_list['role'] == 'super_admin')
            {
              window.location.href = '/super_admin';
            }
          else if(content_list['role'] == 'admin')
            {
              window.location.href = '/admin';
            }
          else if(content_list['role'] == 'employee')
            {
              window.location.href = '/employee';
            }
    
        } 
    function LoginFailed(result,xhr) 
        {
          var content = result.responseJSON.error.message;
          
          alert("Login failed ! : "+ content)
          
        }
      });
  </script>
  </body>

</html>